Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTab

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractTab

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, AjaxProps, org.richfaces.component.VisitChildrenRejectable

Direct Known Subclasses:
  UITab

    public abstract class AbstractTab

extends AbstractActionComponent
implements AbstractTogglePanelTitledItem, AjaxProps, javax.faces.component.behavior.ClientBehaviorHolder

The <rich:tab> component represents an individual tab inside a <rich:tabPanel> component, including the tab's content. Clicking on the tab header will bring its corresponding content to the front of other tabs.

Author:
  akolonitsky

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`AbstractTogglePanelTitledItem.HeaderStates`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractTab()`

Method Summary
`String` | `getContentClass()` The CSS class applied to the panel content
`Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
`String` | `getHeader()` The header label of the tab
`String` | `getHeaderActiveClass()` The CSS class applied to the header when this panel is active
`String` | `getHeaderClass()` The CSS class applied to the header
`String` | `getHeaderDisabledClass()` The CSS class applied to the header when this panel is disabled
`javax.faces.component.UIComponent` | `getHeaderFacet(Enum<?> state)`
`static javax.faces.component.UIComponent` | `getHeaderFacet(javax.faces.component.UIComponent component, Enum<?> state)`
`String` | `getHeaderInactiveClass()` The CSS class applied to the header when this panel is inactive
`String` | `getName()` The name of the tab, used for identifying and manipulating the active panel
`AbstractTabPanel` | `getParentPanel()`
`javax.faces.render.Renderer` | `getRenderer(javax.faces.context.FacesContext context)`
`org.richfaces.component.SwitchType` | `getSwitchType()` The switch type for this toggle panel: client, ajax (default), server
`AbstractTabPanel` | `getTabPanel()`
`abstract Object` | `getValue()` Suppress the inherited value attribute from the taglib.
`static Iterator<javax.faces.component.UIComponent>` | `getVisitableChildren(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitContext visitContext)` If the VisitContext is not the RenderExtendedVisitContext, return the usual FacetsAndChildren iterator.
`boolean` | `isActive()`
`boolean` | `isDynamicPanelItem()`
`void` | `setContentClass(String contentClass)`
`void` | `setExecute(Object execute)`
`void` | `setHeader(String header)`
`void` | `setHeaderActiveClass(String headerActiveClass)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setHeaderDisabledClass(String headerDisabledClass)`
`void` | `setHeaderInactiveClass(String headerInactiveClass)`
`void` | `setName(String name)`
`void` | `setSwitchType(org.richfaces.component.SwitchType switchType)`
`boolean` | `shouldVisitChildren()`
`String` | `toString()`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, queueEvent, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`getHeaderStyle, getOnheaderclick, getOnheaderdblclick, getOnheadermousedown, getOnheadermousemove, getOnheadermouseup, isDisabled`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface
`getClientId, getOnenter, getOnleave, isRendered`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Methods inherited from interface org.richfaces.component.attribute.AjaxProps
`getData, getOnbeforedomupdate, getOnbegin, getOncomplete, getRender, getStatus, isLimitRender`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors, getDefaultEventName, getEventNames`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractTab

    public AbstractTab()

Method Detail

### getValue

    public abstract Object getValue()

  Suppress the inherited value attribute from the taglib.

  Overrides:
    `getValue` in class `javax.faces.component.UICommand`

### getHeaderActiveClass

    public String getHeaderActiveClass()

  The CSS class applied to the header when this panel is active

  Specified by:
    `getHeaderActiveClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderActiveClass

    public void setHeaderActiveClass(String headerActiveClass)

### getHeaderDisabledClass

    public String getHeaderDisabledClass()

  The CSS class applied to the header when this panel is disabled

  Specified by:
    `getHeaderDisabledClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderDisabledClass

    public void setHeaderDisabledClass(String headerDisabledClass)

### getHeaderInactiveClass

    public String getHeaderInactiveClass()

  The CSS class applied to the header when this panel is inactive

  Specified by:
    `getHeaderInactiveClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderInactiveClass

    public void setHeaderInactiveClass(String headerInactiveClass)

### getHeaderClass

    public String getHeaderClass()

  The CSS class applied to the header

  Specified by:
    `getHeaderClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getContentClass

    public String getContentClass()

  The CSS class applied to the panel content

  Specified by:
    `getContentClass` in interface `AbstractTogglePanelTitledItem`

### setContentClass

    public void setContentClass(String contentClass)

### getExecute

    public Object getExecute()

  Description copied from interface: `AjaxProps`
  IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords

  Specified by:
    `getExecute` in interface `AjaxProps`

### setExecute

    public void setExecute(Object execute)

### getHeaderFacet

    public javax.faces.component.UIComponent getHeaderFacet(Enum<?> state)

### getHeaderFacet

    public static javax.faces.component.UIComponent getHeaderFacet(javax.faces.component.UIComponent component,
                                                                   Enum<?> state)

### getVisitableChildren

    public static Iterator<javax.faces.component.UIComponent> getVisitableChildren(javax.faces.component.UIComponent component,
                                                                                   javax.faces.component.visit.VisitContext visitContext)

  If the VisitContext is not the RenderExtendedVisitContext, return the usual FacetsAndChildren iterator. Otherwise return only the Facet iterator when a child visit is not required. This is useful to not render the tab contents when an item is not visible, while still visiting the header facets.

  Parameters:
    `visitContext` - The VisitContext of the component tree visit.

### getHeader

    public String getHeader()

  The header label of the tab

  Specified by:
    `getHeader` in interface `AbstractTogglePanelTitledItem`

### setHeader

    public void setHeader(String header)

### getParentPanel

    public AbstractTabPanel getParentPanel()

  Specified by:
    `getParentPanel` in interface `AbstractTogglePanelItemInterface`

### isDynamicPanelItem

    public boolean isDynamicPanelItem()

  Specified by:
    `isDynamicPanelItem` in interface `AbstractTogglePanelItemInterface`

### getTabPanel

    public AbstractTabPanel getTabPanel()

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `AbstractTogglePanelItemInterface`

### shouldVisitChildren

    public boolean shouldVisitChildren()

  Specified by:
    `shouldVisitChildren` in interface `org.richfaces.component.VisitChildrenRejectable`

### getName

    public String getName()

  The name of the tab, used for identifying and manipulating the active panel

  Specified by:
    `getName` in interface `AbstractTogglePanelItemInterface`

### setName

    public void setName(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSwitchType

    public org.richfaces.component.SwitchType getSwitchType()

  The switch type for this toggle panel: client, ajax (default), server

  Specified by:
    `getSwitchType` in interface `AbstractTogglePanelItemInterface`

### setSwitchType

    public void setSwitchType(org.richfaces.component.SwitchType switchType)

### getRenderer

    public javax.faces.render.Renderer getRenderer(javax.faces.context.FacesContext context)

  Overrides:
    `getRenderer` in class `javax.faces.component.UIComponentBase`

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.